## searx 0.12.0+dfsg1

=== requirements.txt ===
certifi==2017.1.23
flask==0.12
flask-babel==0.11.1
lxml==3.7.3
idna==2.5
pygments==2.1.3
pyopenssl==16.2.0
python-dateutil==2.6.0
pyyaml==3.12
requests[socks]==2.13.0

=== debian/changelog ===
searx (0.12.0+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #808564)

 -- Johannes Schauer <josch@debian.org>  Fri, 16 Jun 2017 12:16:41 +0200

=== debian/control ===
Source: searx
Section: web
Priority: optional
Maintainer: Johannes Schauer <josch@debian.org>
Build-depends:
 debhelper (>= 10),
 dh-python,
 python3-all,
 python3-setuptools,
 node-less,
 python3-babel,
 grunt,
 node-grunt-contrib-uglify,
 node-grunt-contrib-concat
X-Python3-Version: >= 3.2
Standards-Version: 3.9.8
Homepage: https://github.com/asciimoo/searx/
Vcs-Git: https://git.dgit.debian.org/searx
Vcs-Browser: https://browse.dgit.debian.org/searx.git/

Package: searx
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-searx (= ${source:Version})
Suggests: nginx, uwsgi, uwsgi-plugin-python3
Description: Privacy-respecting metasearch engine
 Searx is an internet metasearch engine which aggregates results from more than
 70 search services. Searx runs as a web service and provides a web interface
 that allows the user to do a general search (aggregating results from google,
 bing, yahoo) or search for files (piratebay, kickass, torrentz), images (bing,
 deviantart, google images, flickr), IT (github, stackoverflow, Arch Linux
 wiki), maps (OpenStreetMap, photon), music (youtube, spotify, soundcloud),
 news (bing news, google news, reddit), science (arxiv, wolframalpha) social
 media (digg, twitter) and videos (youtube, dailymotion, vimeo).

Package: python3-searx
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-certifi,
 python3-yaml,
 python3-pygments,
 python3-werkzeug,
 python3-flask,
 python3-flask-babel,
 python3-lxml,
 python3-dateutil,
 python3-openssl,
 python3-ndg-httpsclient,
 python3-pyasn1,
 python3-requests,
 libjs-bootstrap,
 libjs-jquery,
 node-requirejs,
 libjs-leaflet
Description: Privacy-respecting metasearch engine - library package
 Searx is an internet metasearch engine which aggregates results from more than
 70 search services. Searx runs as a web service and provides a web interface
 that allows the user to do a general search (aggregating results from google,
 bing, yahoo) or search for files (piratebay, kickass, torrentz), images (bing,
 deviantart, google images, flickr), IT (github, stackoverflow, Arch Linux
 wiki), maps (OpenStreetMap, photon), music (youtube, spotify, soundcloud),
 news (bing news, google news, reddit), science (arxiv, wolframalpha) social
 media (digg, twitter) and videos (youtube, dailymotion, vimeo).
 .
 This package provides the Python library.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	./manage.sh styles # needed to run lessc because grunt-contrib-less is not packaged
	./manage.sh locales # run pybabel
	./manage.sh grunt_build # build the oscar theme

# do not run tests because the splinter python3 module is not packaged yet
override_dh_auto_test:

## searx 0.14.0+dfsg1

=== debian/changelog ===
searx (0.14.0+dfsg1-2) unstable; urgency=medium

  * Add "lazy-apps = true" to uwsgi config or otherwise searx searches will
    timeout. See https://github.com/asciimoo/searx/issues/1210

 -- Johannes Schauer <josch@debian.org>  Fri, 23 Feb 2018 22:20:01 +0100

searx (0.14.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
     - settings.yaml can now contain non-ascii characters (closes: #886093)

 -- Johannes Schauer <josch@debian.org>  Tue, 20 Feb 2018 13:45:35 +0100

searx (0.13.1+dfsg1-3) unstable; urgency=medium

  * Add ionicons font to build ion.woff from source using fontforge for the
    "simple" theme (closes: #882847)

 -- Johannes Schauer <josch@debian.org>  Thu, 30 Nov 2017 00:49:13 +0100

searx (0.13.1+dfsg1-2) unstable; urgency=medium

  * Remove python3-ndg-httpsclient and python3-pyasn1 from Depends of
    python3-searx. Thanks to Alexandre Flament

 -- Johannes Schauer <josch@debian.org>  Mon, 27 Nov 2017 12:25:20 +0100

searx (0.13.1+dfsg1-1) unstable; urgency=medium

  * New upstream release. (closes: #882400)
      * also fixes exception when activating image proxy
        with python3 (closes: #877942)
  * add debian/gbp.conf
  * debian/README.source: adjust instructions for debian/gbp.conf
  * debian/control: bump Standards-Version, no changes required
  * debian/control: python3-searx is section python
  * debian/copyright: Add files from the new simple theme to Files-Excluded
  * debian/copyright: add new contributors for translations
  * debian/python3-searx.install: also install simple theme
  * debian/copyright: add copyright for four more files from the simple theme
  * run wrap-and-sort -asbt

 -- Johannes Schauer <josch@debian.org>  Fri, 24 Nov 2017 11:06:41 +0100

=== debian/control ===
Source: searx
Section: web
Priority: optional
Maintainer: Johannes Schauer <josch@debian.org>
Build-depends:
 debhelper (>= 10),
 dh-python,
 grunt,
 node-grunt-contrib-concat,
 node-grunt-contrib-uglify,
 node-less,
 python3-all,
 python3-babel,
 python3-setuptools,
 python,
 python-fontforge,
X-Python3-Version: >= 3.2
Standards-Version: 4.1.1
Homepage: https://github.com/asciimoo/searx/
Vcs-Git: https://git.dgit.debian.org/searx
Vcs-Browser: https://browse.dgit.debian.org/searx.git/

Package: python3-searx
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 libjs-leaflet,
 node-requirejs,
 python3-certifi,
 python3-dateutil,
 python3-flask,
 python3-flask-babel,
 python3-lxml,
 python3-openssl,
 python3-pygments,
 python3-requests,
 python3-werkzeug,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Section: python
Description: Privacy-respecting metasearch engine - library package
 Searx is an internet metasearch engine which aggregates results from more than
 70 search services. Searx runs as a web service and provides a web interface
 that allows the user to do a general search (aggregating results from google,
 bing, yahoo) or search for files (piratebay, kickass, torrentz), images (bing,
 deviantart, google images, flickr), IT (github, stackoverflow, Arch Linux
 wiki), maps (OpenStreetMap, photon), music (youtube, spotify, soundcloud),
 news (bing news, google news, reddit), science (arxiv, wolframalpha) social
 media (digg, twitter) and videos (youtube, dailymotion, vimeo).
 .
 This package provides the Python library.

Package: searx
Architecture: all
Depends:
 python3-searx (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 nginx,
 uwsgi,
 uwsgi-plugin-python3,
Description: Privacy-respecting metasearch engine
 Searx is an internet metasearch engine which aggregates results from more than
 70 search services. Searx runs as a web service and provides a web interface
 that allows the user to do a general search (aggregating results from google,
 bing, yahoo) or search for files (piratebay, kickass, torrentz), images (bing,
 deviantart, google images, flickr), IT (github, stackoverflow, Arch Linux
 wiki), maps (OpenStreetMap, photon), music (youtube, spotify, soundcloud),
 news (bing news, google news, reddit), science (arxiv, wolframalpha) social
 media (digg, twitter) and videos (youtube, dailymotion, vimeo).

=== debian/watch ===
version=4
opts=compression=xz,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,repack \
  https://github.com/asciimoo/searx/tags .*/v(\d\S+)\.tar\.gz

## searx 0.15.0+dfsg1

=== requirements.txt ===
certifi==2017.11.5
flask==1.0.2
flask-babel==0.11.2
lxml==4.2.3
idna==2.7
pygments==2.1.3
pyopenssl==18.0.0
python-dateutil==2.7.3
pyyaml==3.13
requests[socks]==2.19.1

=== debian/changelog ===
searx (0.15.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Use require.min.js from libjs-requirejs and not from nodejs-requirejs
    (closes: #901738)
  * Update Homepage field to https://asciimoo.github.io/searx/ (closes: #893679)
  * Fix my name in Maintainer field
  * Use secure copyright format uri
  * Remove X-Python3-Version field
  * Bump debhelper compat level to 11

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 06 Jan 2019 23:54:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: searx
 Section: web
 Priority: optional
-Maintainer: Johannes Schauer <josch@debian.org>
+Maintainer: Johannes 'josch' Schauer <josch@debian.org>
 Build-depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  grunt,
  node-grunt-contrib-concat,
@@ -14,9 +14,8 @@
  python3-setuptools,
  python,
  python-fontforge,
-X-Python3-Version: >= 3.2
 Standards-Version: 4.1.1
-Homepage: https://github.com/asciimoo/searx/
+Homepage: https://asciimoo.github.io/searx/
 Vcs-Git: https://git.dgit.debian.org/searx
 Vcs-Browser: https://browse.dgit.debian.org/searx.git/
 
@@ -26,7 +25,7 @@
  libjs-bootstrap,
  libjs-jquery,
  libjs-leaflet,
- node-requirejs,
+ libjs-requirejs,
  python3-certifi,
  python3-dateutil,
  python3-flask,

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_DISABLE_python2=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	python ./debian/ionicons/generate_less.py < ./debian/ionicons/input.json > searx/static/themes/simple/less/ion.less
	dh_auto_build
	./manage.sh styles # needed to run lessc because grunt-contrib-less is not packaged
	./manage.sh locales # run pybabel
	./manage.sh grunt_build # build the oscar theme
	python ./debian/ionicons/generate.py < ./debian/ionicons/input.json

# do not run tests because the splinter python3 module is not packaged yet
override_dh_auto_test:

## searx 0.16.0+dfsg1

=== Makefile ===
# -*- coding: utf-8; mode: makefile-gmake -*-

export GIT_URL=https://github.com/asciimoo/searx
export SEARX_URL=https://searx.me
export DOCS_URL=https://asciimoo.github.io/searx

PYOBJECTS = searx
DOC       = docs
PY_SETUP_EXTRAS ?= \[test\]

PYDIST=./dist/py
PYBUILD=./build/py

include utils/makefile.include
include utils/makefile.python
include utils/makefile.sphinx

all: clean install

PHONY += help
help:
	@echo  '  test      - run developer tests'
	@echo  '  docs      - build documentation'
	@echo  '  docs-live - autobuild HTML documentation while editing'
	@echo  '  run       - run developer instance'
	@echo  '  install   - developer install (./local)'
	@echo  '  uninstall - uninstall (./local)'
	@echo  '  gh-pages  - build docs & deploy on gh-pages branch'
	@echo  '  clean     - drop builds and environments'
	@echo  ''
	@$(MAKE) -s -f utils/makefile.include make-help
	@echo  ''
	@$(MAKE) -s -f utils/makefile.python python-help

PHONY += install
install: pyenvinstall

PHONY += uninstall
uninstall: pyenvuninstall

PHONY += clean
clean: pyclean
	$(call cmd,common_clean)

PHONY += run
run:  pyenvinstall
	$(Q) ( \
	sed -i -e "s/debug : False/debug : True/g" ./searx/settings.yml ; \
	sleep 2 ; \
	xdg-open http://127.0.0.1:8888/ ; \
	sleep 3 ; \
	sed -i -e "s/debug : True/debug : False/g" ./searx/settings.yml ; \
	) &
	$(PY_ENV)/bin/python ./searx/webapp.py

# docs
# ----

PHONY += docs
docs:  pyenvinstall sphinx-doc
	$(call cmd,sphinx,html,docs,docs)

PHONY += docs-live
docs-live:  pyenvinstall sphinx-live
	$(call cmd,sphinx_autobuild,html,docs,docs)

$(GH_PAGES)::
	@echo "doc available at --> $(DOCS_URL)"

# test
# ----

PHONY += test test.pylint test.pep8 test.unit test.robot

# TODO: balance linting with pylint
test: test.pep8 test.unit test.robot
	- make pylint

test.pep8: pyenvinstall
	$(PY_ENV_ACT); ./manage.sh pep8_check

test.unit: pyenvinstall
	$(PY_ENV_ACT); ./manage.sh unit_tests

test.robot: pyenvinstall
	$(PY_ENV_ACT); ./manage.sh install_geckodriver
	$(PY_ENV_ACT); ./manage.sh robot_tests

.PHONY: $(PHONY)

=== requirements.txt ===
certifi==2019.3.9
babel==2.7.0
flask-babel==0.12.2
flask==1.0.2
idna==2.8
jinja2==2.10.1
lxml==4.3.3
pygments==2.1.3
pyopenssl==19.0.0
python-dateutil==2.8.0
pyyaml==5.1
requests[socks]==2.22.0

=== debian/changelog ===
searx (0.16.0+dfsg1-2) unstable; urgency=medium

  * fix autopkgtest: dh compat 12 installed examples uncompressed (closes:
    #951212)

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 16 Feb 2020 07:52:36 +0100

searx (0.16.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
     - fixes google backend (closes: #930263)
  * debian/patches/debian-changes: refresh
  * switch packaging to gbp
  * debian/control: use python3-fontforge instead of python-fontforge (closes:
    #938460)
  * bump dh compat to 12
  * debian/control: add rules-requires-root:no
  * debian/control: bump standards-version to 4.5.0

 -- Johannes 'josch' Schauer <josch@debian.org>  Sat, 01 Feb 2020 01:16:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Johannes 'josch' Schauer <josch@debian.org>
 Build-depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  grunt,
  node-grunt-contrib-concat,
@@ -12,12 +12,12 @@
  python3-all,
  python3-babel,
  python3-setuptools,
- python,
- python-fontforge,
-Standards-Version: 4.1.1
+ python3-fontforge,
+Standards-Version: 4.5.0
 Homepage: https://asciimoo.github.io/searx/
-Vcs-Git: https://git.dgit.debian.org/searx
-Vcs-Browser: https://browse.dgit.debian.org/searx.git/
+Vcs-Git: https://salsa.debian.org/debian/searx.git
+Vcs-Browser: https://salsa.debian.org/debian/searx
+Rules-Requires-Root: no
 
 Package: python3-searx
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_DISABLE_python2=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	python3 ./debian/ionicons/generate_less.py < ./debian/ionicons/input.json > searx/static/themes/simple/less/ion.less
	dh_auto_build
	./manage.sh styles # needed to run lessc because grunt-contrib-less is not packaged
	./manage.sh locales # run pybabel
	./manage.sh grunt_build # build the oscar theme
	python3 ./debian/ionicons/generate.py < ./debian/ionicons/input.json

# do not run tests because the splinter python3 module is not packaged yet
override_dh_auto_test:

## searx 0.17.0+dfsg1

=== debian/changelog ===
searx (0.17.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * add debian/salsa-ci.yml
  * refresh patches
  * debian/rules: call 'make themes' instead of manage.sh
  * debian/patches/makefile: disable npm and bootstrap build and build css
  * debian/rules: add an empty searx/data/bangs.json
  * debian/control: python3-werkzeug >= 0.16.1 is needed because of
    werkzeug/middleware/proxy_fix.py
  * debian/clean: don't remove searx/static/themes/oscar/js/searx.js
  * debian/control: bump dh compat to 13
  * debian/tests/general: more debugging code
  * debian/tests/general: adjust regex
  * add patch to parse README.md with encoding

 -- Johannes 'josch' Schauer <josch@debian.org>  Wed, 15 Jul 2020 23:33:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Johannes 'josch' Schauer <josch@debian.org>
 Build-depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  grunt,
  node-grunt-contrib-concat,
@@ -34,7 +34,7 @@
  python3-openssl,
  python3-pygments,
  python3-requests,
- python3-werkzeug,
+ python3-werkzeug (>= 0.16.1),
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},

## searx 0.18.0%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Johannes 'josch' Schauer <josch@debian.org>
-Build-depends:
+Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  grunt,

## searx 0.18.0+dfsg1

=== requirements.txt ===
certifi==2020.6.20
babel==2.7.0
flask-babel==1.0.0
flask==1.1.2
idna==2.10
jinja2==2.11.1
lxml==4.6.1
pygments==2.1.3
pyopenssl==19.1.0
python-dateutil==2.8.0
pyyaml==5.3.1
requests[socks]==2.24.0

=== debian/changelog ===
searx (0.18.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * refresh and drop patches that were applied by upstream
  * debian/control: fix typo Build-depends->Build-Depends
  * debian/python3-searx.lintian-overrides: add override for
    package-contains-documentation-outside-usr-share-doc
  * debian/python3-searx.lintian-overrides: add overrides for
    font-outside-font-dir for ion.ttf and ion.woff

 -- Johannes 'josch' Schauer <josch@debian.org>  Tue, 19 Jan 2021 14:16:36 +0100

searx (0.17.0+dfsg1-2) unstable; urgency=medium

  * add patch from upstream fixing Thread.isAlive() -> Thread.is_alive()
    (closes: #976322)

 -- Johannes 'josch' Schauer <josch@debian.org>  Mon, 28 Dec 2020 05:52:26 +0100

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_DISABLE_python2=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	python3 ./debian/ionicons/generate_less.py < ./debian/ionicons/input.json > searx/static/themes/simple/less/ion.less
	dh_auto_build
	./manage.sh locales # run pybabel
	make themes
	python3 ./debian/ionicons/generate.py < ./debian/ionicons/input.json
	echo '{"bang":[]}' > searx/data/bangs.json

# do not run tests because the splinter python3 module is not packaged yet
override_dh_auto_test:

## searx 1.0.0

=== debian/changelog ===
searx (1.0.0-0ubuntu2) groovy; urgency=medium

  * New upstream release.
  * Rebuild for updated flask

 -- Chris <dpkg@chris-nz.com>  Sat, 27 Nov 2021 23:35:55 +1300

## searx 1.0.0%2Bdfsg1

=== debian/tests/control ===
Tests: general
Restrictions: allow-stderr, isolation-container, needs-root
Depends: @, curl, nginx, uwsgi, uwsgi-plugin-python3

## searx 1.0.0+dfsg1

=== Makefile ===
# -*- coding: utf-8; mode: makefile-gmake -*-
.DEFAULT_GOAL=help

include utils/makefile.include

PYOBJECTS = searx
DOC       = docs
PY_SETUP_EXTRAS ?= \[test\]
PYLINT_SEARX_DISABLE_OPTION := I,C,R,W0105,W0212,W0511,W0603,W0613,W0621,W0702,W0703,W1401,E1136
PYLINT_ADDITIONAL_BUILTINS_FOR_ENGINES := supported_languages,language_aliases

include utils/makefile.python
include utils/makefile.sphinx

all: clean install

PHONY += help-min help-all help

help: help-min
	@echo  ''
	@echo  'to get more help:  make help-all'

help-min:
	@echo  '  test      - run developer tests'
	@echo  '  docs      - build documentation'
	@echo  '  docs-live - autobuild HTML documentation while editing'
	@echo  '  run       - run developer instance'
	@echo  '  install   - developer install (./local)'
	@echo  '  uninstall - uninstall (./local)'
	@echo  '  gh-pages  - build docs & deploy on gh-pages branch'
	@echo  '  clean     - drop builds and environments'
	@echo  '  project   - re-build generic files of the searx project'
	@echo  '  buildenv  - re-build environment files (aka brand)'
	@echo  '  themes    - re-build build the source of the themes'
	@echo  '  docker    - build Docker image'
	@echo  '  node.env  - download & install npm dependencies locally'
	@echo  ''
	@$(MAKE) -e -s make-help

help-all: help-min
	@echo  ''
	@$(MAKE) -e -s python-help
	@echo  ''
	@$(MAKE) -e -s docs-help

PHONY += install
install: buildenv pyenvinstall

PHONY += uninstall
uninstall: pyenvuninstall

PHONY += clean
clean: pyclean docs-clean node.clean test.clean
	$(call cmd,common_clean)

PHONY += run
run:  buildenv pyenvinstall
	$(Q) ( \
	sleep 2 ; \
	xdg-open http://127.0.0.1:8888/ ; \
	) &
	SEARX_DEBUG=1 $(PY_ENV)/bin/python ./searx/webapp.py

# docs
# ----

sphinx-doc-prebuilds:: buildenv pyenvinstall prebuild-includes

PHONY += docs
docs:  sphinx-doc-prebuilds
	$(call cmd,sphinx,html,docs,docs)

PHONY += docs-live
docs-live:  sphinx-doc-prebuilds
	$(call cmd,sphinx_autobuild,html,docs,docs)

PHONY += prebuild-includes
prebuild-includes:
	$(Q)mkdir -p $(DOCS_BUILD)/includes
	$(Q)./utils/searx.sh doc | cat > $(DOCS_BUILD)/includes/searx.rst
	$(Q)./utils/filtron.sh doc | cat > $(DOCS_BUILD)/includes/filtron.rst
	$(Q)./utils/morty.sh doc | cat > $(DOCS_BUILD)/includes/morty.rst


$(GH_PAGES)::
	@echo "doc available at --> $(DOCS_URL)"

# update project files
# --------------------

PHONY += project engines.languages useragents.update buildenv

project: buildenv useragents.update engines.languages

engines.languages:  pyenvinstall
	$(Q)echo "fetch languages .."
	$(Q)$(PY_ENV_ACT); python ./searx_extra/update/update_languages.py
	$(Q)echo "updated searx/data/engines_languages.json"
	$(Q)echo "updated searx/languages.py"

useragents.update:  pyenvinstall
	$(Q)echo "fetch useragents .."
	$(Q)$(PY_ENV_ACT); python ./searx_extra/update/update_firefox_version.py
	$(Q)echo "updated searx/data/useragents.json with the most recent versions of Firefox."

buildenv: pyenv
	$(Q)$(PY_ENV_ACT); SEARX_DEBUG=1 python utils/build_env.py

# node / npm
# ----------

node.env: buildenv
	$(Q)./manage.sh npm_packages

node.clean:
	$(Q)echo "CLEAN     locally installed npm dependencies"
	$(Q)rm -rf \
	  ./node_modules  \
	  ./package-lock.json \
	  ./searx/static/themes/oscar/package-lock.json \
	  ./searx/static/themes/oscar/node_modules \
	  ./searx/static/themes/simple/package-lock.json \
	  ./searx/static/themes/simple/node_modules

# build themes
# ------------

PHONY += themes themes.oscar themes.simple
themes: buildenv themes.oscar themes.simple

quiet_cmd_lessc = LESSC     $3
      cmd_lessc = PATH="$$(npm bin):$$PATH" \
	lessc --clean-css="--s1 --advanced --compatibility=ie9" "searx/static/$2" "searx/static/$3"

quiet_cmd_grunt = GRUNT     $2
      cmd_grunt = PATH="$$(npm bin):$$PATH" \
	grunt --gruntfile  "$2"

themes.oscar: node.env
	$(Q)echo '[!] build oscar theme'
	$(call cmd,grunt,searx/static/themes/oscar/gruntfile.js)

themes.simple: node.env
	$(Q)echo '[!] build simple theme'
	$(call cmd,grunt,searx/static/themes/simple/gruntfile.js)


# docker
# ------

PHONY += docker
docker: buildenv
	$(Q)./manage.sh docker_build

docker.push: buildenv
	$(Q)./manage.sh docker_build push

# gecko
# -----

PHONY += gecko.driver
gecko.driver:
	$(PY_ENV_ACT); ./manage.sh install_geckodriver

# search.checker
# --------------

search.checker: pyenvinstall
	$(Q)$(PY_ENV_ACT); searx-checker -v

ENGINE_TARGETS=$(patsubst searx/engines/%.py,search.checker.%,$(wildcard searx/engines/[!_]*.py))

$(ENGINE_TARGETS): pyenvinstall
	$(Q)$(PY_ENV_ACT); searx-checker -v "$(subst _, ,$(patsubst search.checker.%,%,$@))"


# test
# ----

PHONY += test test.sh test.pylint test.pep8 test.unit test.coverage test.robot
test: buildenv test.pylint test.pep8 test.unit gecko.driver test.robot

PYLINT_FILES=\
	searx/preferences.py \
	searx/testing.py \
	searx/engines/gigablast.py \
	searx/engines/deviantart.py \
	searx/engines/digg.py \
	searx/engines/google.py \
	searx/engines/google_news.py \
	searx/engines/google_videos.py \
	searx/engines/google_images.py \
	searx/engines/mediathekviewweb.py \
	searx/engines/solidtorrents.py \
	searx/engines/solr.py \
	searx/engines/google_scholar.py \
	searx/engines/yahoo_news.py \
	searx/engines/apkmirror.py \
	searx_extra/update/update_external_bangs.py

test.pylint: pyenvinstall
	$(call cmd,pylint,$(PYLINT_FILES))
	$(call cmd,pylint,\
		--disable=$(PYLINT_SEARX_DISABLE_OPTION) \
		--additional-builtins=$(PYLINT_ADDITIONAL_BUILTINS_FOR_ENGINES) \
		searx/engines \
	)
	$(call cmd,pylint,\
		--disable=$(PYLINT_SEARX_DISABLE_OPTION) \
		--ignore=searx/engines \
		searx tests \
	)

# ignored rules:
#  E402 module level import not at top of file
#  W503 line break before binary operator

# ubu1604: uses shellcheck v0.3.7 (from 04/2015), no longer supported!
test.sh:
	shellcheck -x -s bash utils/brand.env
	shellcheck -x utils/lib.sh
	shellcheck -x utils/filtron.sh
	shellcheck -x utils/searx.sh
	shellcheck -x utils/morty.sh
	shellcheck -x utils/lxc.sh
	shellcheck -x utils/lxc-searx.env
	shellcheck -x .config.sh

test.pep8: pyenvinstall
	@echo "TEST      pycodestyle (formerly pep8)"
	$(Q)$(PY_ENV_ACT); pycodestyle --exclude='searx/static, searx/languages.py, $(foreach f,$(PYLINT_FILES),$(f),)' \
        --max-line-length=120 --ignore "E117,E252,E402,E722,E741,W503,W504,W605" searx tests

test.unit: pyenvinstall
	@echo "TEST      tests/unit"
	$(Q)$(PY_ENV_ACT); python -m nose2 -s tests/unit

test.coverage:  pyenvinstall
	@echo "TEST      unit test coverage"
	$(Q)$(PY_ENV_ACT); \
	python -m nose2 -C --log-capture --with-coverage --coverage searx -s tests/unit \
	&& coverage report \
	&& coverage html \

test.robot: pyenvinstall gecko.driver
	@echo "TEST      robot"
	$(Q)$(PY_ENV_ACT); PYTHONPATH=. python searx/testing.py robot

test.clean:
	@echo "CLEAN     intermediate test stuff"
	$(Q)rm -rf geckodriver.log .coverage coverage/


# travis
# ------

PHONY += ci.test
ci.test:
	$(PY_ENV_BIN)/python -c "import yaml"  || make clean
	$(MAKE) test

travis.codecov:
	$(Q)$(PY_ENV_BIN)/python -m pip install codecov

.PHONY: $(PHONY)

=== requirements.txt ===
certifi==2020.12.05
babel==2.9.0
flask-babel==2.0.0
flask==1.1.2
idna==2.10
jinja2==2.11.3
lxml==4.6.3
pygments==2.8.0
python-dateutil==2.8.1
pyyaml==5.4.1
requests[socks]==2.25.1
langdetect==1.0.8

=== debian/changelog ===
searx (1.0.0+dfsg1-1) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * New upstream release (closes: #997817)
  * Rework patches for 1.0 release
  * debian/clean: some themes were dropped
  * debian/control: add B-D on python3-yaml
  * debian/control: add Suggests on uwsgi-plugin-python3 and nginx
  * debian/python3-searx.install: do not install removed themes
  * debian/python3-searx.links: jquery.min.js is now unversioned
  * debian/rules: run pybabel and lessc
  * debian/searx.install: install usr/bin/searx-checker

  [ James Valleroy ]
  * Add donation URL to upstream metadata

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Tue, 07 Dec 2021 22:10:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: searx
 Section: web
 Priority: optional
-Maintainer: Johannes 'josch' Schauer <josch@debian.org>
+Maintainer: Johannes Schauer Marin Rodrigues <josch@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -13,6 +13,7 @@
  python3-babel,
  python3-setuptools,
  python3-fontforge,
+ python3-yaml,
 Standards-Version: 4.5.0
 Homepage: https://asciimoo.github.io/searx/
 Vcs-Git: https://salsa.debian.org/debian/searx.git
@@ -38,6 +39,10 @@
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
+Suggests:
+ nginx | apache2 | httpd,
+ uwsgi,
+ uwsgi-plugin-python3
 Section: python
 Description: Privacy-respecting metasearch engine - library package
  Searx is an internet metasearch engine which aggregates results from more than

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,16 @@
 override_dh_auto_build:
 	python3 ./debian/ionicons/generate_less.py < ./debian/ionicons/input.json > searx/static/themes/simple/less/ion.less
 	dh_auto_build
-	./manage.sh locales # run pybabel
-	make themes
+	pybabel compile -d searx/translations
+	mkdir -p searx/static/css
+	grunt --gruntfile searx/static/themes/oscar/gruntfile.js
+	for style in logicodev logicodev-dark pointhi; do \
+		lessc -x searx/static/themes/oscar/src/less/$$style/oscar.less searx/static/css/$$style.min.css; \
+	done
+	grunt --gruntfile searx/static/themes/simple/gruntfile.js
+	for style in "" -rtl; do \
+		lessc -x searx/static/themes/simple/less/style$$style.less searx/static/css/searx$$style.min.css; \
+	done
 	python3 ./debian/ionicons/generate.py < ./debian/ionicons/input.json
 	echo '{"bang":[]}' > searx/data/bangs.json

## searx 1.1.0%2Bdfsg1

=== Makefile ===
# -*- coding: utf-8; mode: makefile-gmake -*-
# SPDX-License-Identifier: AGPL-3.0-or-later

.DEFAULT_GOAL=help
export MTOOLS=./manage

include utils/makefile.include

all: clean install

PHONY += help

help:
	@./manage --help
	@echo '----'
	@echo 'run            - run developer instance'
	@echo 'install        - developer install of searx into virtualenv'
	@echo 'uninstall      - uninstall developer installation'
	@echo 'clean          - clean up working tree'
	@echo 'search.checker - check search engines'
	@echo 'test           - run shell & CI tests'
	@echo 'test.sh        - test shell scripts'
	@echo 'ci.test        - run CI tests'


PHONY += run
run:  install
	$(Q) ( \
	sleep 2 ; \
	xdg-open http://127.0.0.1:8888/ ; \
	) &
	SEARX_DEBUG=1 ./manage pyenv.cmd python ./searx/webapp.py

PHONY += install uninstall
install uninstall:
	$(Q)./manage pyenv.$@

PHONY += clean
clean: py.clean docs.clean node.clean test.clean
	$(Q)./manage build_msg CLEAN  "common files"
	$(Q)find . -name '*.orig' -exec rm -f {} +
	$(Q)find . -name '*.rej' -exec rm -f {} +
	$(Q)find . -name '*~' -exec rm -f {} +
	$(Q)find . -name '*.bak' -exec rm -f {} +

PHONY += search.checker search.checker.%
search.checker: install
	$(Q)./manage pyenv.cmd searx-checker -v

search.checker.%: install
	$(Q)./manage pyenv.cmd searx-checker -v "$(subst _, ,$(patsubst search.checker.%,%,$@))"

PHONY += ci.test test test.sh
ci.test: test.pep8 test.pylint test.unit test.robot
test: ci.test
test.sh:
	$(Q)shellcheck -x -s bash \
		utils/brand.env \
		./manage \
		utils/lib.sh \
	        utils/filtron.sh \
	        utils/searx.sh \
	        utils/morty.sh \
	        utils/lxc.sh \
	        utils/lxc-searx.env \
	        .config.sh
	$(Q)./manage build_msg TEST "$@ OK"


# wrap ./manage script

MANAGE += buildenv
MANAGE += babel.compile
MANAGE += data.all data.languages data.useragents
MANAGE += docs.html docs.live docs.gh-pages docs.prebuild docs.clean
MANAGE += docker.build docker.push
MANAGE += gecko.driver
MANAGE += node.env node.clean
MANAGE += py.build py.clean
MANAGE += pyenv pyenv.install pyenv.uninstall
MANAGE += pypi.upload pypi.upload.test
MANAGE += test.pylint test.pep8 test.unit test.coverage test.robot test.clean
MANAGE += themes.all themes.oscar themes.simple themes.bootstrap

PHONY += $(MANAGE)

$(MANAGE):
	$(Q)$(MTOOLS) $@

# deprecated

PHONY += docs docs-clean docs-live docker themes

docs: docs.html
	$(Q)./manage build_msg WARN $@ is deprecated use docs.html

docs-clean: docs.clean
	$(Q)./manage build_msg WARN $@ is deprecated use docs.clean

docs-live: docs.live
	$(Q)./manage build_msg WARN $@ is deprecated use docs.live

docker:  docker.build
	$(Q)./manage build_msg WARN $@ is deprecated use docker.build

themes: themes.all
	$(Q)./manage build_msg WARN $@ is deprecated use themes.all

## searx 1.1.0+dfsg1

=== requirements.txt ===
Brotli==1.0.9
babel==2.10.3
certifi==2022.6.15
flask-babel==2.0.0
flask==2.2.1
jinja2==3.1.2
langdetect==1.0.9
lxml==4.9.1
pygments==2.12.0
python-dateutil==2.8.2
pyyaml==6.0
requests[socks]==2.28.1
setproctitle==1.3.1

=== debian/changelog ===
searx (1.1.0+dfsg1-1) unstable; urgency=medium

  * upload to unstable with correct version

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 10 Feb 2023 09:42:16 +0100

searx (1.1.0+dfsg1-1~exp) unstable; urgency=medium

  * New upstream release
  * add apache2 autopkgtest

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 08 Feb 2023 07:23:42 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  node-less,
  python3-all,
  python3-babel,
+ python3-fontforge,
  python3-setuptools,
- python3-fontforge,
  python3-yaml,
 Standards-Version: 4.5.0
 Homepage: https://asciimoo.github.io/searx/
@@ -40,9 +40,10 @@
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
+ libapache2-mod-uwsgi,
  nginx | apache2 | httpd,
  uwsgi,
- uwsgi-plugin-python3
+ uwsgi-plugin-python3,
 Section: python
 Description: Privacy-respecting metasearch engine - library package
  Searx is an internet metasearch engine which aggregates results from more than

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 	pybabel compile -d searx/translations
 	mkdir -p searx/static/css
 	grunt --gruntfile searx/static/themes/oscar/gruntfile.js
+	# https://github.com/searx/searx/issues/3365
+	ln -s ../logicodev/variables.less searx/static/themes/oscar/src/less/pointhi/variables.less
 	for style in logicodev logicodev-dark pointhi; do \
 		lessc -x searx/static/themes/oscar/src/less/$$style/oscar.less searx/static/css/$$style.min.css; \
 	done

=== debian/tests/control ===
Tests: nginx
Restrictions: allow-stderr, isolation-container, needs-root
Depends:
 curl,
 nginx,
 uwsgi,
 uwsgi-plugin-python3,
 @,

Tests: apache2
Restrictions: allow-stderr, isolation-container, needs-root
Depends:
 apache2,
 curl,
 libapache2-mod-uwsgi,
 uwsgi,
 uwsgi-plugin-python3,
 @,
